package com.srs.routine.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.routine.domain.RtFuResource;

/**
 * 功能房图片Service接口
 *
 * @author srs
 * @date 2024-07-21
 */
public interface IRtFuResourceService extends IService<RtFuResource> {
    /**
     * 查询功能房图片
     *
     * @param resId 功能房图片主键
     * @return 功能房图片
     */
    public RtFuResource selectRtFuResourceByResId(Long resId);

    /**
     * 查询功能房图片列表
     *
     * @param rtFuResource 功能房图片
     * @return 功能房图片集合
     */
    List<RtFuResource> selectRtFuResourceList(RtFuResource rtFuResource);

    /**
     * 新增功能房图片
     *
     * @param rtFuResource 功能房图片
     * @return 结果
     */
    int insertRtFuResource(RtFuResource rtFuResource);


    /**
     * 修改功能房图片
     *
     * @param rtFuResource 功能房图片
     * @return 结果
     */
    int updateRtFuResource(RtFuResource rtFuResource);

    /**
     * 批量删除功能房图片
     *
     * @param resIds 需要删除的功能房图片主键集合
     * @return 结果
     */
    int deleteRtFuResourceByResIds(Long[] resIds);

    /**
     * 删除功能房图片信息
     *
     * @param resId 功能房图片主键
     * @return 结果
     */
    int deleteRtFuResourceByResId(Long resId);
}
